
QGIS Application - Bug report #15827

Scale bar vanishes when Atlas is used

2016-11-08 09:02 PM - Kate Callan

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.14.8 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 23747

Description

I am experiencing intermittent issues with scale bars in the print composer using atlases. Occasionally the scale bar completely vanishes,

and when I select it from the Items menu its X-position is always at '10000000.000 mm'. I edit this number to bring it back into view and

from then on am unable to select any items in the composer map window. I can select them from the Items menu and edit properties

there. The only solution I have found is to add in a new scale bar, then the project behaves for a while until the new scale bar randomly

disappears as well. Closing and re-opening the project does not help. Sometimes,  the scale bar disappears as soon as I activate the atlas

in the composer.

I have experienced this issue with more than one project and on more than one computer. A colleague has also had the same problem.

History

#1 - 2016-11-08 09:16 PM - Kate Callan

Edit: Once this issue occurs, all items except the scale bar need to be selected (using the menu) and copied to a new composer. Duplicating the composer

does not help.

#2 - 2016-11-10 06:40 PM - Kate Callan

Update: This only seems to happen when using atlases which involve a change of scale between atlas features, and does not happen when using atlases

which utilise multiple copies of the same feature for different plans.  However, the issue does not necessarily coincide with switching between features.

#3 - 2016-11-12 02:07 AM - Anita Graser

- Subject changed from Scale bar behaviour to Scale bar vanishes when Atlas is used

#4 - 2017-03-06 02:40 PM - Giovanni Manghi

- Priority changed from High to Normal

#5 - 2017-05-01 01:02 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#6 - 2019-03-09 03:08 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR
Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
